gnutls_x509_crl_list_import(3)

NAME
gnutls_x509_crl_list_import - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_list_import(gnutls_x509_crl_t * crls, unsigned int * crl_max, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_x509_crl_t * crls
    The structures to store the parsed CRLs. Must not be initialized.

unsigned int * crl_max
    Initially must hold the maximum number of crls. It will be updated with the number of crls available.

const gnutls_datum_t * data
    The PEM encoded CRLs

gnutls_x509_crt_fmt_t format
    One of DER or PEM.

unsigned int flags
    must be (0) or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will convert the given PEM encoded CRL list to the native gnutls_x509_crl_t format. The output will be stored in crls . They will be automatically initialized.

If the Certificate is PEM encoded it should have a header of "X509 CRL".

RETURNS
the number of certificates read or a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/